Bug 1576422 - `dconf load $key <$largefile` fails with SIGTERM
Summary: `dconf load $key <$largefile` fails with SIGTERM
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dconf
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 12:27 UTC by Stephan Bergmann
Modified: 2018-11-30 21:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:31:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Stephan Bergmann 2018-05-09 12:27:04 UTC
Description of problem:

With a large input file (43M; 300,000 lines), dconf load just fails with SIGTERM, without any further indication of what went wrong.


Version-Release number of selected component (if applicable):

dconf-0.26.1-1.fc27.x86_64


How reproducible:

always


Additional info:

> #0  0x00007ffff70bd050 in raise (sig=15) at /usr/src/debug/glibc-2.26-146-gd300041c53/sysdeps/unix/sysv/linux/raise.c:51
> #1  0x00007ffff6af2d1e in ffi_call_unix64 () at /usr/src/debug/libffi-3.1-14.fc27.x86_64/src/x86/unix64.S:76
> #2  0x00007ffff6af268f in ffi_call (cif=cif@entry=0x7fffe700e8c0, fn=fn@entry=0x7ffff78e9b20 <g_dbus_connection_real_closed>, rvalue=<optimized out>, avalue=avalue@entry=0x7fffe700e7b0) at /usr/src/debug/libffi-3.1-14.fc27.x86_64/src/x86/ffi64.c:525
> #3  0x00007ffff75ed32d in g_cclosure_marshal_generic_va (closure=0x7fffe000b5d0, return_value=0x0, instance=<optimized out>, args_list=<optimized out>, marshal_data=<optimized out>, n_params=2, param_types=0x7fffe000b640) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/gobject/gclosure.c:1604
> #4  0x00007ffff75ec976 in _g_closure_invoke_va (closure=0x7fffe000b5d0, return_value=0x0, instance=0x7fffe00120b0, args=0x7fffe700eb70, n_params=2, param_types=0x7fffe000b640) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/gobject/gclosure.c:867
> #5  0x00007ffff7607ff4 in g_signal_emit_valist (instance=0x7fffe00120b0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffe700eb70) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/gobject/gsignal.c:3300
> #6  0x00007ffff760866f in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=detail@entry=0) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/gobject/gsignal.c:3447
> #7  0x00007ffff78e8705 in emit_closed_in_idle (user_data=user_data@entry=0x7fffdc006df0) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/gio/gdbusconnection.c:1358
> #8  0x00007ffff7310577 in g_idle_dispatch (source=0x7fffdc0079c0, callback=0x7ffff78e86c0 <emit_closed_in_idle>, user_data=0x7fffdc006df0) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/glib/gmain.c:5486
> #9  0x00007ffff7313b77 in g_main_dispatch (context=0x555565bbea00) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/glib/gmain.c:3142
> #10 0x00007ffff7313b77 in g_main_context_dispatch (context=context@entry=0x555565bbea00) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/glib/gmain.c:3795
> #11 0x00007ffff7313f20 in g_main_context_iterate (context=context@entry=0x555565bbea00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/glib/gmain.c:3868
> #12 0x00007ffff7313fac in g_main_context_iteration (context=context@entry=0x555565bbea00, may_block=may_block@entry=1) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/glib/gmain.c:3929
> #13 0x00007ffff7bd2bbd in dconf_gdbus_worker_thread (user_data=0x555565bbea00) at /usr/src/debug/dconf-0.26.1-1.fc27.x86_64/gdbus/dconf-gdbus-thread.c:82
> #14 0x00007ffff733b486 in g_thread_proxy (data=0x55555ac23c50) at /usr/src/debug/glib2-2.54.3-2.fc27.x86_64/glib/gthread.c:784
> #15 0x00007ffff70b250b in start_thread (arg=0x7fffe700f700) at /usr/src/debug/glibc-2.26-146-gd300041c53/nptl/pthread_create.c:465
> #16 0x00007ffff6dea16f in clone () at /usr/src/debug/glibc-2.26-146-gd300041c53/sysdeps/unix/sysv/linux/x86_64/clone.S:95

Comment 1 Ben Cotton 2018-11-27 15:46:48 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 21:31:20 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.